## kirigami 1.1.0

=== examples/CMakeLists.txt ===

add_subdirectory(android)

install(DIRECTORY gallery/ DESTINATION ${KDE_INSTALL_DATAROOTDIR}/kpackage/genericqml/org.kde.kirigami.gallery)
install(FILES gallery/metadata.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} RENAME org.kde.kirigami.gallery.desktop)

=== src/CMakeLists.txt ===
project(kirigami)

if (NOT STATIC_LIBRARY)
    ecm_create_qm_loader(kirigami_QM_LOADER libkirigamiplugin_qt)
endif()

set(kirigami_SRCS
    kirigamiplugin.cpp
    enums.cpp
    desktopicon.cpp
    ${kirigami_QM_LOADER}
    )

IF(STATIC_LIBRARY)

qt5_add_resources(RESOURCES ${CMAKE_SOURCE_DIR}/kirigami.qrc)

add_library(kirigamiplugin STATIC ${kirigami_SRCS} ${RESOURCES})
target_link_libraries(kirigamiplugin Qt5::Core  Qt5::Qml Qt5::Quick)

ELSE(STATIC_LIBRARY)

add_library(kirigamiplugin SHARED ${kirigami_SRCS})
target_link_libraries(kirigamiplugin Qt5::Core  Qt5::Qml Qt5::Quick)

install(TARGETS kirigamiplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami)

install(DIRECTORY controls/ DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami)

if (PLASMA_ENABLED)
    install(DIRECTORY styles/Plasma DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/styles)
endif()
if (DESKTOP_ENABLED)
    install(DIRECTORY styles/Desktop DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami/styles)
endif()

install(FILES ${platformspecific} DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/kirigami)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME Kirigami LIB_NAME KF5Kirigami DEPS "core qml quick svg" FILENAME_VAR PRI_FILENAME )
install(FILES ${PRI_FILENAME}
        DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

ENDIF(STATIC_LIBRARY)

=== examples/android/CMakeLists.txt ===

set(kirigamigallery_SRCS
    main.cpp
    )

qt5_add_resources(RESOURCES resources.qrc)

add_executable(kirigamigallery ${kirigamigallery_SRCS} ${RESOURCES})
target_link_libraries(kirigamigallery Qt5::Core  Qt5::Qml Qt5::Quick Qt5::Svg)

install(TARGETS kirigamigallery ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

include(${CMAKE_SOURCE_DIR}/KF5KirigamiMacros.cmake)
kirigami_package_breeze_icons(ICONS applications-graphics view-list-icons folder-sync view-list-details configure document-edit dialog-cancel document-decrypt mail-reply-sender bookmarks folder)

=== debian/changelog ===
kirigami (1.1.0-1) unstable; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Oct 2016 18:48:42 +0200

kirigami (1.1.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 26 Sep 2016 11:53:18 +0000

kirigami (1.0.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Sep 2016 13:39:43 +0000

kirigami (1.0.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Aug 2016 15:20:12 +0000

kirigami (1.0.0-0) xenial; urgency=medium

  * Initial release.

 -- Bhushan Shah <bshah@kde.org>  Mon, 14 Mar 2016 11:39:57 +0530

=== debian/control ===
Source: kirigami
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
XSBC-Original-Maintainer: Bhushan Shah <bhush94@gmail.com>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9~),
               extra-cmake-modules (>= 0.0.8~),
               kdoctools-dev,
               libkf5declarative-dev,
               libqt5svg5-dev (>= 5.5.0~),
               pkg-kde-tools,
               plasma-framework-dev (>= 5.18.0~),
               qtbase5-dev (>= 5.5.0~),
               qtdeclarative5-dev (>= 5.5.0~),
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/kirigami
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/kde-extras/kirigami.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/kirigami.git

Package: qml-module-org-kde-kirigami
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-qtgraphicaleffects,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: set of QtQuick components targeted for mobile use
 Kirigami is a set of QtQuick components at the moment targeted for
 mobile use (in the future desktop as well) targeting both Plasma
 Mobile and Android. A set of high level components to make the
 creation of applications that look and feel great on mobile as well
 as desktop devices and follow the Kirigami Human Interface
 Guidelines. The target of these components is anybody that wants to
 do an application using QtQuick as its main UI, especially if
 targeting a mobile platform, without adding many dependencies. They
 work on a variety of platforms, such as Plasma Mobile, Desktop Linux,
 Android and Windows.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kirigami-dbg (<< 1.1.0-1~)'

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/kirigami/kirigami-([\d.]+)\.tar\.xz
